Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Kde 4 why need gnome dependencies

  1. #1

    Default Kde 4 why need gnome dependencies

    Hello,
    I have installed Opensuse 11.1 and 11.2 x64 kde 4 version, I don't have any gnome or gtk program, why do I still have some gnome dependencies that if I try to uninstall they want to uninstall Kde 4 programs?
    I want a pure Kde4 and Qt4 system why cant I have it?

    I could get rid of all Qt3 but not gnome!

    Thank You Very Much

    Regards

  2. #2
    google01103 NNTP User

    Default Re: Kde 4 why need gnome dependencies

    junmiron wrote:

    >
    > Hello,
    > I have installed Opensuse 11.1 and 11.2 x64 kde 4 version, I
    > don't have any gnome or gtk program, why do I still have some gnome
    > dependencies that if I try to uninstall they want to uninstall Kde 4
    > programs?
    > I want a pure Kde4 and Qt4 system why cant I have it?
    >
    > I could get rid of all Qt3 but not gnome!
    >
    > Thank You Very Much
    >
    > Regards
    >
    >

    what dependencies in particular?
    --
    Suse 11.1 x64, Kde 4.2.1, Opera 10.x weekly


  3. #3

    Default Re: Kde 4 why need gnome dependencies

    For example, gconf2, glib2-branding-openSUSE, gnome-keyring, gnome-vfs2, libgsf-1-114,gnome language bundle etc, I cant uninstall it without messing my system.

    Thank you

    Regards

  4. #4

    Default Re: Kde 4 why need gnome dependencies

    That's because of gstreamer i guess.
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  5. #5

    Default Re: Kde 4 why need gnome dependencies

    Why gstreamer have hard dependencies with gnome, because if I'm not wrong gstreamer is in freedesktop.org. All freedesktop technologies shouldn't be desktop independent? I think networkmanager have the same problem.

  6. #6
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Kde 4 why need gnome dependencies

    There are quite a few packages defined with weird dependencies. The other day, I was installing libqt4-32bit on a 64bit machine because I wanted to install another 32bit program that requires it. I was surprised to see that libqt4-32bit depends on libqt4-sql-32bit and libqt4-sql-mysql-32bit!
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  7. #7

    Default Re: Kde 4 why need gnome dependencies

    I don't see anything wrong in having some dependencies which are rarely loaded into memory at all. They may exist on the disk but i guess most of them are rarely used/loaded.
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  8. #8

    Default Re: Kde 4 why need gnome dependencies

    If you wan't a system tailoerd with minimal dependencies then install gentoo
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  9. #9
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Kde 4 why need gnome dependencies

    Quote Originally Posted by BenderBendingRodriguez View Post
    If you wan't a system tailoerd with minimal dependencies then install gentoo
    Also, try PuppyLinux
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  10. #10
    Chris Maaskant NNTP User

    Default Re: Kde 4 why need gnome dependencies

    BenderBendingRodriguez wrote:

    > If you wan't a system tailoerd with minimal dependencies then install
    > gentoo


    Or slackware if you realy don't want any gnome stuff.

    OpenSUSE may have some weird dependencies but it does work.
    If diskspace is a big issue then indeed another distro would be a better
    idea then go messing with openSUSE to save a few hundred MB's and to get
    hell everytime you run an update.

    --
    Chris Maaskant

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •